﻿package
{
	import flash.display.Sprite; 
	import flash.utils.setInterval;
	public class Trainer extends Sprite
	{
		public function Trainer()
		{
			setInterval(addStraw,10);
		}
		private function addStraw():void
		{
			var straw:Straw = new Straw(stage.stageHeight);
			straw.x = stage.stageWidth;
			straw.y = stage.stageHeight/2;
			this.addChild(straw);
		}
	}
}
import flash.display.Sprite;
import flash.events.Event;
import flash.ui.Mouse;
internal class Straw extends Sprite
{
	var _height:Number;
	var count:int = 0;
	public function Straw(height:Number):void
	{
		_height = height;
		this.graphics.beginFill(Math.random()*0xffffff,mouseY);
		this.graphics.drawRect(0,-50,(mouseX/600)*10,100);
		this.graphics.endFill();
		this.addEventListener(Event.ENTER_FRAME,enterHandler);
	}
	private function enterHandler(e:Event):void
	{
		count ++;
		this.y += Math.sin(count) * 100;
		if(this.x <= parent.mouseX){
			//var f:Number = parent.mouseX-this.x;
			var f:Number = _height/2;
			var c:Number = parent.mouseY-this.y;
			var alpha:Number = Math.asin(f/Math.sqrt(f*f + c*c))*180/Math.PI;
			if(Math.sqrt(f*f + c*c)>=_height){
				(this.rotation<0)?this.rotation++:this.rotation=0;
			}else{
				this.rotation = -alpha;
			}
		}
		if(this.x<=0 && this.rotation==0){
			this.removeEventListener(Event.ENTER_FRAME,enterHandler);
			parent.removeChild(parent.getChildByName(this.name));
		}else{
			this.x-=3;
		}
	}
}